Summary:	Port to Qt of Neil Hodgson's Scintilla C++ editor class
Name:		qscintilla
Version:	2.8.3
Release:	3
License:	GPLv2+
Group:		System/Libraries
Url:		http://www.riverbankcomputing.co.uk/software/qscintilla/intro
Source0:	http://downloads.sf.net/pyqt/QScintilla-gpl-%{version}.tar.gz
Patch0:		QScintilla-gpl-2.2-libdir.patch
Patch1:		QScintilla-gpl-2.8.1-libs.patch
Patch2:		QScintilla-gpl-2.8.3-api_path.patch
Patch3:		qsci_link.patch
BuildRequires:	qt4-devel
BuildRequires:	python-sip
BuildRequires:	python-qt4-devel
BuildRequires:	pkgconfig(python)

%description
As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

#--------------------------------------------------------------

%package i18n
Summary:	Translations used by %{name}
Group:		System/Libraries
Conflicts:	libqscintilla2_9 < 2.8.3
Conflicts:	lib64qscintilla2_9 < 2.8.3
BuildArch:	noarch

%description i18n
Translations used by %{name}.

%files i18n
%{_qt_translationdir}/qscintilla*.qm

#--------------------------------------------------------------

%define major 11
%define libqs4 %mklibname qscintilla2_ %{major}

%package -n %{libqs4}
Summary:	Port to Qt of Neil Hodgson's Scintilla C++ editor class
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libqs4}
As well as features found in standard text editing components,
QScintilla includes features especially useful when editing and
debugging source code. These include support for syntax styling, error
indicators, code completion and call tips. The selection margin can
contain markers like those used in debuggers to indicate breakpoints
and the current line. Styling choices are more open than with many
editors, allowing the use of proportional fonts, bold and italics,
multiple foreground and background colours and multiple fonts.

%files -n %{libqs4}
%{qt4lib}/libqscintilla2.so.%{major}*

#--------------------------------------------------------------

%define libqs4dev %mklibname -d qscintilla

%package -n %{libqs4dev}
Summary:	Libraries, include to develop applications with QScintilla for Qt
Group:		Development/KDE and Qt
Requires:	%{libqs4} = %{EVRD}
Provides:	%{name}-qt4-devel = %{EVRD}
Provides:	qscintilla-qt4-devel = %{EVRD}

%description -n %{libqs4dev}
This packages contains the libraries, include and other files
you can use to develop applications with QScintilla.

%files -n %{libqs4dev}
%{qt4dir}/mkspecs/features/qscintilla2.prf
%{qt4dir}/include/*
%{qt4lib}/*.so
%{qt4plugins}/designer/*

#--------------------------------------------------------------

%package -n python-qt4-qscintilla
Summary:	Python qt4 QScintilla bindings
Group:		Development/KDE and Qt
Requires:	python-qt4-core
Requires:	python-qt4-gui
Requires:	%{libqs4} = %{EVRD}
Requires:	sip-api(%{sip_api_major}) = %{sip_api}

%description -n python-qt4-qscintilla
Python qt4 QScintilla bindings.

%files -n python-qt4-qscintilla
%{_datadir}/sip/PyQt4
%{qt4dir}/qsci
%{py_platsitedir}/PyQt4/Qsci.so

#--------------------------------------------------------------

%package doc
Summary:	QScintilla docs
Group:		Development/KDE and Qt
BuildArch:	noarch

%description doc
QScintilla doc.

%files doc
%doc NEWS README doc

#--------------------------------------------------------------

%prep
%setup -qn QScintilla-gpl-%{version}
%apply_patches

%build
pushd Qt4Qt5
    export QTDIR=%{qt4dir}/qsci
    %qmake_qt4 DESTDIR=%{buildroot}%{qt4lib} qscintilla.pro
    %make
popd

pushd designer-Qt4Qt5
    echo "INCLUDEPATH += ../Qt4Qt5" >> designer.pro
    echo "LIBS += -L%{buildroot}%{qt4lib}" >> designer.pro
    %qmake_qt4 designer.pro
    make
popd


%install
mkdir -p %{buildroot}%{qt4lib}

pushd Qt4Qt5
    make INSTALL_ROOT=%{buildroot} install
popd

pushd designer-Qt4Qt5
    make INSTALL_ROOT=%{buildroot} install
popd

pushd Python
    export QTDIR=%{_qt4_datadir}
    export PATH=%{_qt4_datadir}/bin:$PATH
    python configure.py \
        -n ../Qt4Qt5 \
        -o %{buildroot}%{qt4lib}
    %make
    make install DESTDIR=%{buildroot} INSTALL_ROOT=%{buildroot}
popd

%changelog
* Fri Aug 08 2014 abondrov <andrey.bondrov@rosalab.ru> 2.8.3-3
+ Revision: 67c913a
- Add patch from Debian to fix python bindings


